import { PluginCommandOptions, VisualRegressionResult, TypeOption, DiffOption, ScreenshotOptions } from './plugin.mjs';

declare global {
    namespace Cypress {
        interface Chainable {
            compareSnapshot(name: string, options?: PluginCommandOptions): Chainable<VisualRegressionResult>;
        }
    }
}
type CypressConfigEnv = {
    visualRegressionType: TypeOption;
    visualRegressionBaseDirectory?: string;
    visualRegressionDiffDirectory?: string;
    visualRegressionGenerateDiff?: DiffOption;
    visualRegressionFailSilently?: boolean;
};
type TakeScreenshotProps = {
    path: string;
    size: number;
    dimensions: {
        width: number;
        height: number;
    };
    multipart: boolean;
    pixelRatio: number;
    takenAt: string;
    name: string;
    blackout: string[];
    duration: number;
    testAttemptIndex: number;
};
/** Add custom cypress command to compare image snapshots of an element or the window. */
declare function addCompareSnapshotCommand(screenshotOptions?: ScreenshotOptions): void;

export { type CypressConfigEnv, type TakeScreenshotProps, addCompareSnapshotCommand };
